
package eu.dnetlib.dhp.contextpropagation.model;

import java.io.Serializable;
import java.util.HashMap;
import java.util.Map;

import eu.dnetlib.dhp.contextpropagation.model.PropagationUse;

public class DatasetPropagationStructure implements Serializable {

	private Map<String, PropagationUse> propagation = new HashMap<>();

	public Map<String, PropagationUse> getPropagation() {
		return propagation;
	}

	public void add(String key, PropagationUse value) {
		propagation.put(key, value);
	}

}
